ROHTO - Support #419

[phase 1] - ESS Overtime for Generate Absence Half Day
06/30/2021 11:13 AM - Anonymous

Status: Closed Start date: 06/30/2021
Priority: Urgent Due date: 07/09/2021
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Dev

Mohon dibuatkan condition berikut:

1. CondOTAssignment :

a. cond_assignment_no: Jika fieldID 'Notes' terisi 001
b. cond_assignment_yes: Jika fieldID 'Notes' terisi 002

Kode Assignment Notes
001=Cash
002=Leave

2. Saving data back end untuk task id prc_post_ PHRPA0118

a. Jika durasi lembur minimal 4 jam sampai 7 jam 59 menit, maka tergenerate quota setengah hari 1 record.

b. Jika durasi lembur minimal 8 jam dan seterusnya, maka tergenerate quota setengah hari 2 record dengan Seq ke 1 & ke 2 dengan
Start Date & End Date yg sama.

Field apa saja yg terposting ke PHRPA0118 ada pada PCMWFDEFFIELDPOS dg task ID prc_post PHRPA0118

Master Data 4 Absence Half Day - 00000762 - Magdalena Prita Pagita
Overtime . Action = Clear Filters
S ° Start Date End Date Sequence | Start Deduction = End Deduction || Absence Quotd | Description Status Use Date | StartTi,
E - 29/06/2021 20/06/2021 13/07/2021 5 Alvailable 0000
| Absence Half Day ©
Attendance ©
Work Schedule ©
Personal Work Sche... ©

3. Mohon bantuan melakukan cek param ID CondOTSaveMD15

Saat ini sudah menggunakan param ID tersebut tpi data gagal update ke PHRPAQ015

kodisi CondOTSaveMD15 memiliki ketentuan:

a. Data PHRPAO0O015 terupdate, jika data overtime yg masuk bulannya lebih awal dari periode payroll saat ini, CorrectStatus ke
update manjadi 1.

b. Field RetroDate di PHRPAOQO15 terupdate, jika tanggal overtime lebih awal dari tanggal retro period yang sudah ada atau jika
masih kosong.
L X Bt o] B A VAR CEATR A Sl SERVER77\SOLSER. .. bo PCMWFDEFTASK SERVER7TMSQLSE... PCMWFCU
EmployeelD PaymentUpTo RetroDate CorrectStatus HiringDate Applicant/D
0000000 19960401
00000002 19960517
00000003 19960617
0000000 19361002
00000005 19961113
0000000G 20200101 19961115
0000ODOT 19961202
4 00000002 19961206
0000000 19970102
00000010 20200101 1 19970825
00000011 19381012
00000012 19981201
00000013 19990701
00000014 19390801
00000015 20200101 1 19991001
00000016 19991001
00000017 19991101
00000012 19991117
00000019 19991223
00000020 19991224
00000021 20000201

History

#1 - 06/30/2021 11:14 AM - Anonymous

- Status changed from New to Assigned

#2 - 06/30/2021 12:13 PM - ericsson ericsson

Tolong dibuatkan autoload untuk field2 berikut ini:

. StartDate_118 (Autofield, yang diinput ditable PDSWFMDOVERTIME field DateFrom)

. EndDate_118 (Autofield, yang diinput ditable PDSWFMDOVERTIME field DateTo)

. StartDateDeduction_118 (Autofield 2 minggu , yang diinput ditable PDSWFMDOVERTIME field DateFrom)
. EndDateDeduction_118 (Autofield 2 minggu , yang diinput ditable PDSWFMDOVERTIME field DateTo)

. seq_118 (Autofield, sesuai urutan jumlah data)

. AbsenceQuota_118 (Autofield, sudah diset di fix value)

. status_118 (Autofield, sudah diset di fix value)

No g~ wWwN =

#3 - 06/30/2021 12:19 PM - ericsson ericsson

revisi terupdate untuk autofield,

. StartDate_118 (Autofield, yang diinput ditable PDSWFMDOVERTIME field DateFrom)

. EndDate_118 (Autofield, yang diinput ditable PDSWFMDOVERTIME field DateTo)

. StartDateDeduction_118 (Autofield, sama dengan tanggal yang diinput ditable PDSWFMDOVERTIME field DateFrom)
. EndDateDeduction_118 (Autofield, 2 bulan dari tanggal StartDatededuction_118)

. seq_118 (Autofield, sesuai urutan jumlah data)

. AbsenceQuota_118 (Autofield, sudah diset di fix value)

. status_118 (Autofield, sudah diset di fix value)

No o~ wN =

#4 - 06/30/2021 12:39 PM - ericsson ericsson

port : http://remote.minovais.com:31121/
Db : remote.minovais.com, 1438\SQLSERVER2012
MinovaES Rohto Dev

#5 - 07/02/2021 07:05 PM - Alip Sudin
CondOTAssignment Done: kalo dia 001 = 1 kalo dia 002 = 0
http://remote.minovais.com:31121/

Untuk yang HalfDay Done.

#6 - 07/06/2021 09:31 AM - ericsson ericsson

kondisi untuk membaca halfday sudah jalan lip,
tinggal yang field autoload sama yang sequance halfday durasi 4&8jam nya belum yaa,

Nuhun.

#7 - 07/08/2021 04:55 PM - ericsson ericsson
update hasil testing ess rohto overtime :
1. yang sudah OK hasil testingnya adalah point berikut,
1. CondOTAssignment :
a. cond_assignment_no: Jika fieldID 'Notes' terisi 001

b. cond_assignment_yes: Jika fieldID 'Notes' terisi 002
2. Autofield(Hanya tinggal hide grid absence HalfDay)

1. yang belum OK hasil testingnya adalah point berikut,
1. Saving data back end untuk task id prc_post. PHRPAQ118.
2. Mohon bantuan melakukan cek param ID CondOTSaveMD15.

#8 - 07/08/2021 04:56 PM - ericsson ericsson

update hasil testing ess rohto overtime :

yang sudah OK hasil testingnya adalah point berikut,

1. CondOTAssignment :

a. cond_assignment_no: Jika fieldID 'Notes' terisi 001

b. cond_assignment_yes: Jika fieldID 'Notes' terisi 002

2. Autofield(Hanya tinggal hide grid absence HalfDay)

yang belum OK hasil testingnya adalah point berikut,

1. Saving data back end untuk task id prc_post. PHRPAQ0118.

a. Jika durasi lembur minimal 4 jam sampai 7 jam 59 menit, maka tergenerate quota setengah hari 1 record. (Sudah OK)
b. Jika durasi lembur minimal 8 jam dan seterusnya, maka tergenerate quota setengah hari 2 record dengan Seq ke 1 & ke 2 dengan Start Date &
End Date yg sama. (Belum OK/Masih terbentuk hanya 1 squance)

2. Mohon bantuan melakukan cek param ID CondOTSaveMD15.

#9 - 07/09/2021 03:09 PM - Kezia Pawitra Yulianti
- Due date set to 07/09/2021
- Priority changed from High to Urgent

Dear Alip,
Mohon update yaa untuk catatan yg msh belum solve
Tks

#10 - 07/12/2021 01:05 PM - ericsson ericsson

update hasil QA Testing Ess Overtime Rohto yang belum solve.
1. Mohon bantuan melakukan cek param ID CondOTSaveMD15(On Process Alip)

untuk yang lainnya sudah solve, kecuali yang diatas 1 lagi masih on process.
#11 - 07/15/2021 11:18 AM - ericsson ericsson

hasil QA Test Sepertinya sudah Ok semua yaa task yang di redmine ini,
Terima kasih yaa untuk kerjasamanya.

#12 - 10/21/2021 04:51 PM - Muhammad Bintar

- File utility.js added

- File clipboard-202110211650-x7jfz.png added

- Assignee changed from Alip Sudin to Kezia Pawitra Yulianti

Testing by bintar:
Pengetesan pada Rohto Development di Client.

1. Deploy WFSAVEPHRPAO0118 di tabel custparam
2. deploy semua tabel DEF untuk overtime_AJTM

3. upload hardcode utility.js pada folder UNapp\controller\workflow\run

4. ubah design pada tabel PHRPAO0118 , ikuti seperti di rohto development kantor
5. ubah settingan mdcon phrpa0118 menjadi N2 pada MDCON.

AnyDesk | L_| rohto x|+
B minova-app@ad > H R E &
Gma E ime X : e Da

HRIS Menu Time Data

5 Home e Time Data
« [= My Workplace b =

T & My Report Employee Overview - 00000767 - Bramadi Purba
™ workflow Report
Employee ID: 00000767 Company ID:
" EsS ePayslip
Full Name: Bramadi Purba Employee Office:
* > Request
Employee Status: Active Organization:
") HR Administration
Employee Type: Permanent Position:

) Performance Ma...

> Time Management Master Data Absence Half Day - 00000767 - Bramadi Purba
1 Attendance

Overtime Action
1 Leave
Absence Quota .
{1 overtime Start Date End Date Sequence | Start Deduction
Absence
» [ Travel M m... 26/10/2021  26/10/2021 09/11/2021
Absence Half Day
[1 Forwarding Task 26/10/2021  26/10/2021 09/11/2021
Attendance
1 Inbox 25/10/2021  25/10/2021 o08/11/2021
. Work Schedule
[1 sharing Approval 13/07/2021  13/07/2021 27/07/2021

[ outb Personal Work Sche...
utbox

#13 - 10/28/2021 03:35 PM - Kezia Pawitra Yulianti
- Status changed from Assigned to QA Test

- Assignee changed from Kezia Pawitra Yulianti to Muhammad Bintar

dear Bintar,

ini sudah done tasknya? apa sudah di deploy ke client?
tolong update statusnya ya sesuai hasil testing

Tks

#14 - 03/04/2022 02:03 PM - Muhammad Bintar

update :
sudah done dan sudah dipakai di rohto production.

#15 - 03/04/2022 02:04 PM - Muhammad Bintar
- Status changed from QA Test to Closed
Files

clipboard-202106301107-tk6ua.png 46.2 KB 06/30/2021 Anonymous
clipboard-202106301113-t6lms.png 40.5 KB 06/30/2021 Anonymous
utility.js 8.98 KB 10/21/2021 Muhammad Bintar
clipboard-202110211650-x7jfz.png 228 KB 10/21/2021 Muhammad Bintar
